Fetch an app's issue journey map
/apps/{id}/journeyFetch an app's issue journey map. Filter time range using from & to
query string parameters. Filter versions using versions &
version_codes query string parameters.
Authorization
bearerAuth User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
App's UUID.
uuidQuery Parameters
ISO 8601 UTC string in milliseconds precision. Example: 2023-11-01T18:30:00.000Z. Omitting both from and to returns the last seven days.
ISO 8601 UTC string in milliseconds precision. Example: 2023-11-01T18:30:00.000Z. Omitting both from and to returns the last seven days.
List of comma separated version identifier strings to return only matching issues.
List of comma separated version codes to return only matching issues.
Choose journey's directionality. 0 computes a unidirectional graph. Default is 1.
Response Body
application/json
curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/journey"{ "links": [ { "source": "au.com.shiftyjelly.pocketcasts.ui.MainActivity", "target": "au.com.shiftyjelly.pocketcasts.player.view.PlayerContainerFragment", "value": 4 }, { "source": "au.com.shiftyjelly.pocketcasts.account.onboarding.OnboardingActivity", "target": "au.com.shiftyjelly.pocketcasts.ui.MainActivity", "value": 1 } ], "nodes": [ { "id": "au.com.shiftyjelly.pocketcasts.ui.MainActivity", "issues": { "anrs": [], "crashes": [] } }, { "id": "au.com.shiftyjelly.pocketcasts.discover.view.DiscoverFragment", "issues": { "anrs": [], "crashes": [ { "id": "018f5c68-6fe0-75c9-81ba-b36871c8b5fa", "title": "java.lang.IllegalStateException", "count": 18 } ] } } ], "totalIssues": 30}Think this page can be better?
Open an issue